#include <bits/stdc++.h>
#define ll long long
#define endl "\n"
#define vi vector<int>
#define vd vector<double>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    if(a[n-1]==k)
    {
        cout<<a[0];
        return 0;
    }
    else
    {
        for(int i=0;i<n;i++)
        {
            if(a[i]==k)
            {
                cout<<a[i+1];
                return 0;
            }
        }
    }
    return 0;
}